<?php

class Index_Controller extends Base_Controller
{
    /**
     * Constructorul clasei
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function get_index()
    {
        return Redirect::to_action('index@home');
    }

    public function get_home()
    {
        return View::make('main.index')
            ->nest('header', 'main.blocks.header', array(
                'cartElements' => $this->fetch_cart_products()
            ))
            ->nest('main', 'main.home', array(
                'categories' => $this->fetch_categories()
            ));
    }

    public function get_register()
    {
        return View::make('main.index')
            ->nest('header', 'main.blocks.header', array(
                'cartElements' => $this->fetch_cart_products()
            ))
            ->nest('main', 'main.register', array(
                'categories' => $this->fetch_categories()
            )); 
    }

    public function get_contact()
    {
        return View::make('main.index')
            ->nest('header', 'main.blocks.header', array(
                'cartElements' => $this->fetch_cart_products()
            ))
            ->nest('main', 'main.contact', array(
                'categories' => $this->fetch_categories()
            )); 
    }

    private function fetch_category($id)
    {
        $id = (int)$id;

        $category = Category::find($id);

        return $category;
    }

    /**
     * Functia intoarce doctorii din cadrul sistemului.
     */
    private function fetch_categories()
    {
        $categories = Category::where('role', '=', 2)->get(array('id', 'name'));

        return $categories;
    }
}

?>