<?php

// Ruta implicita
Route::get('/', 'index@home');

// Ruta pentru afisarea unei categorii implicite
Route::get('category/(:num)', 'index@products');

// Ruta necesara pentru afisarea unui produs
Route::get('index/products/(:num)/(:num)', 'index@product');

// Rute de control
Route::controller('ajaxm');
Route::controller('index');
Route::controller('login');

Route::any("api/(:all)", "api@parse");

// Ruta pentru editarea unui utilizator din sistem
Route::get('admin/users/(:num)', 'admin.users@edit');
Route::post('admin/users/(:num)', 'admin.users@edit');

// Rute de administrare
Route::controller('admin.ajax');
Route::controller('admin.categories');
Route::controller('admin.results');
Route::controller('admin.settings');
Route::controller('admin.users');

View::composer('main.index', function($view)
{
    Asset::style('maincss', 'vshop/assets/css/main_style.css');

    Asset::script('jquery', 'vshop/assets/js/jquery-1.9.1.min.js');
    Asset::script('cufonyui', 'vshop/assets/js/cufon-yui.js');
    Asset::script('comfort', 'vshop/assets/js/Comfortaa_400.font.js');
});

View::composer('layout.login', function($view)
{
    Asset::style('bootstrapcss', 'vshop/assets/css/bootstrap.min.css');
    Asset::script('jquery', 'vshop/assets/js/jquery-1.9.1.min.js');
});


View::composer('layout.index', function($view)
{
    Asset::style('bootstrapcss', 'vshop/assets/css/bootstrap.min.css');
    Asset::style('datatablescss', 'vshop/assets/css/jquery.dataTables.css');
    Asset::style('apprisecss', 'vshop/assets/css/apprise-v2.min.css');
    Asset::style('lesscss', 'vshop/assets/css/style.less', '', array('type' => 'text/less'));

    Asset::script('jquery', 'vshop/assets/js/jquery-1.9.1.min.js');
    Asset::script('less', 'vshop/assets/js/less.js');
    Asset::script('bootstrap', 'vshop/assets/js/bootstrap.min.js');
    Asset::script('datatables', 'vshop/assets/js/jquery.dataTables.min.js');
    Asset::script('apprise', 'vshop/assets/js/apprise-v2.min.js', 'jquery');
});

/*
|--------------------------------------------------------------------------
| Application 404 & 500 Error Handlers
|--------------------------------------------------------------------------
|
| To centralize and simplify 404 handling, Laravel uses an awesome event
| system to retrieve the response. Feel free to modify this function to
| your tastes and the needs of your application.
|
| Similarly, we use an event to handle the display of 500 level errors
| within the application. These errors are fired when there is an
| uncaught exception thrown in the application.
|
*/

Event::listen('404', function()
{
	return Response::error('404');
});

Event::listen('500', function()
{
	return Response::error('500');
});

Route::filter('before', function()
{
	// Do stuff before every request to your application...
});

Route::filter('after', function($response)
{
	// Do stuff after every request to your application...
});

Route::filter('csrf', function()
{
	if (Request::forged()) return Response::error('500');
});

// Filtram tot continutul panoului de administrare
Route::filter('pattern: admin/*', array('name' => 'adminAuth', function()
{
    // Daca nu ne-am autentificat sau nu suntem administratori...
	if (Auth::guest() || ! Auth::is_admin()) {
        // Vom fi redirectionati catre pagina de autentificare
        return Redirect::to_action('login');
    }
}));