<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><?php echo Config::get("application.sitename"); ?></title>
    <?php echo Asset::styles(); ?>
    <?php echo Asset::scripts(); ?>
    <script type="text/javascript">
        $(document).ready(function () {
            // Daca avem un mesaj, acesta va disparea dupa 3 secunde
            $(".alert").delay(3000).fadeOut('slow');
        });
    </script>
    <style>
        html, body {
            margin: 0;
            padding: 0;
        }

        body {
            font: 12px 'Helvetica', Arial, sans-serif;
            background-color: #F1F1F1;
        }

        .alert {
            text-align: left;
        }

        .login {
            background-color: #FFFFFF;
            text-align: center;
            padding: 20px;
            width: 300px;
            border: 8px solid #E3E3E3;
            border-radius: 4px 4px 4px 4px;
            margin: 80px auto 0;
        }

        h1 {
            font: bold 24px 'Sylfaen', 'Verdana';
            margin: 0 0 10px;
        }

        label {
            display: block;
            margin: 0 0 10px;
        }

        table {
            width: 90%;
        }

        td {
            padding-bottom: 10px;
        }

        .tdlabel {
            font-weight: bold;
            text-align: right;
        }

        input[type=text], input[type=password] {
            width: 100%;
            height: 25px;
            padding: 5px 10px;
            border: 1px solid #CCCCCC;
            box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
            border-radius: 4px 4px 4px 4px;
        }

        input[type=submit] {
            background-color: #006DCC;
            background-image: linear-gradient(to bottom, #0088CC, #0044CC);
            background-repeat: repeat-x;
            border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
            color: #FFFFFF;
            text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
            border-radius: 4px 4px 4px 4px;
            border-style: solid;
            border-width: 1px;
            box-shadow: 0 0 2px 0 #DCDCDC;
            cursor: pointer;
            display: inline-block;
            font-size: 14px;
            line-height: 20px;
            margin-bottom: 0;
            padding: 6px 20px;
            text-align: center;
            vertical-align: middle;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="login" style="">
        <h1><?php echo Config::get("application.sitename"); ?></h1>

        <div class="message">
            <?php Vsession::cprint('status'); ?>
        </div>
        <?php echo Form::open(); ?>
        <?php echo Form::token(); ?>
        <table>
            <tr>
                <td class="tdlabel"><?php echo Form::label('username', __('site.login_user')); ?></td>
                <td><?php echo Form::text('username'); ?></td>
            </tr>
            <tr>
                <td class="tdlabel"><?php echo Form::label('password', __('site.login_pass')); ?></td>
                <td><?php echo Form::password('password'); ?></td>
            </tr>
        </table>
        <?php echo Form::submit(__('site.login_submit'), array('name' => 'login')); ?>

        <?php echo Form::close(); ?>
    </div>
</div>
</body>
</html>
