<?php


class Verify extends \Laravel\Auth\Drivers\Driver
{

	public function __construct()
	{
		parent::__construct();

		$this->user();
	}

	public function retrieve($id)
	{
		if (filter_var($id, FILTER_VALIDATE_INT) !== false)
		{
			return $this->model()->find($id);
		}
	}

	public function attempt($arguments = array())
	{
		$valid = false;

		// Intoarce toti userii din sistem care sunt identificati dupa un anumit nume de utilizator
		$usernames = Config::get('verify::verify.username');
		$usernames = (!is_array($usernames))
			? array($usernames)
			: $usernames;

		foreach ($usernames as $identify_by)
		{
			$user = $this->model()
				->where($identify_by, '=', array_get($arguments, $identify_by))
				->first();

			if (!is_null($user))
			{
                // Parola este incorecta
		        if(md5($user->salt . array_get($arguments, 'password')) != $user->password)
                {
		            return 2;
		        }

                // Contul nu a fost aprobat
				if (!$user->verified)
				{
                    return 3;
				}

                // Contul a fost banat
				if ($user->disabled)
				{
                    return 4;
				}

                // Utilizatorul a fost sters
				if ($user->deleted)
				{
					return 5;
				}

				$valid = true;
				break;
			}
		}

		if ($valid)
		{
			return $this->login($user->id, array_get($arguments, 'remember'));
		}
		else
		{
            // Utilizatorul nu a fost gasit in sistem
			return 1;
		}
	}

	protected function model()
	{
		$model = Config::get('verify::verify.user_model');

		return new $model;
	}

	public function is_admin($user = NULL)
	{
		$user = $this->get_user($user);

		if (!$user)
		{
			return FALSE;
		}

		return $user->is_admin();
	}
    
    public function is_doctor($user = NULL)
	{
		$user = $this->get_user($user);

		if (!$user)
		{
			return FALSE;
		}

		return $user->is_doctor();
	}

	private function get_user($user = NULL)
	{
		if (!is_null($user))
		{
			if (is_numeric($user))
			{
				$user = $this->retrieve($user);
			}
			else if (!is_object($user))
			{
				$user = NULL;
			}
		}
		else
		{
			$user = $this->user;
		}

		return $user;
	}

}

?>
