<?php

namespace Verify\Models;

class User extends EloquentVerifyBase
{

	/**
	 * Ce campuri sunt accesibile din baza de date.
	 *
	 * @var array
	 */
	public static $accessible = array('username', 'password', 'salt', 'email', 'role', 'verified', 'deleted', 'disabled');

	/**
	 * Seteaza o parola a unui cont.
	 *
	 * @param string $password
	 */
	public function set_password($password)
	{
		$salt = md5(time());
		$hashed = md5($salt . $password);

		$this->set_attribute('password', $hashed);
		$this->set_attribute('salt', $salt);
	}

	/**
	 * Verifica daca utilizatorul este un administrator.
	 *
	 * @return boolean
	 */
	public function is_admin()
	{
		return (intval($this->get_role()) == 1) ? true : false;
	}
    
    /**
	 * Verifica daca utilizatorul este un medic.
	 *
	 * @return boolean
	 */
    public function is_doctor()
    {
        return (intval($this->get_role()) == 2) ? true : false;
    }
}
